package eu.osci;

import javax.xml.namespace.QName;

import com.sun.xml.ws.api.addressing.AddressingVersion;


/**
 * The addressing header tags.<br>
 * Copyright © 2010 Freie Hansestadt Bremen. <br>
 * Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG. <br>
 * This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie
 * Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the
 * OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).
 * 
 * @author A. Nagel
 */

public enum AddressingHeaderTag
{
  /** The QName for the addressing 'Action' element. */
  ACTION(AddressingVersion.W3C.actionTag),

  /** The QName for the addressing 'RelatesTo' element. */
  RELATES_TO(AddressingVersion.W3C.relatesToTag),

  /** The QName for the addressing 'From' element. */
  FROM(AddressingVersion.W3C.fromTag),

  /** The QName for the addressing 'FaultTo' element. */
  FAULT_TO(AddressingVersion.W3C.faultToTag),

  /** The QName for the addressing 'MessageID' element. */
  MESSAGEID(AddressingVersion.W3C.messageIDTag),

  /** The QName for the addressing 'ReplyTo' element. */
  REPLY_TO(AddressingVersion.W3C.replyToTag),

  /** The QName for the addressing 'Metadata' element. */
  METADATA(new QName("http://www.w3.org/2005/08/addressing", "Metadata")),

  /** The QName for the addressing 'To' element. */
  TO(AddressingVersion.W3C.toTag);

  private QName qname;

  private AddressingHeaderTag(QName _qname)
  {
    qname = _qname;
  }

  /**
   * Returns the property value.
   */
  public QName getQName()
  {
    return qname;
  }

}
